### Virtual Method

# Camel CipherContext encrypt_sync

since: 3.0

#### Declaration [src]

    gboolean
    encrypt_sync (
      CamelCipherContext* context,
      const gchar* userid,
      GPtrArray* recipients,
      CamelMimePart* ipart,
      CamelMimePart* opart,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Encrypts the clear-text `ipart` and writes the resulting cipher-text to `opart`.

Note: The `userid` is unused, `NULL` should be passed for it.

Available since: 3.0

#### Parameters

`userid`

  Type: `const gchar*`

  Unused.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`recipients`

  Type: An array of `utf8`

  An array of recipient key IDs and/or email addresses.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`ipart`

  Type: `CamelMimePart`

  Clear-text `CamelMimePart`.

  The data is owned by the caller of the method.

`opart`

  Type: `CamelMimePart`

  Cipher-text `CamelMimePart`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.